Std Redo/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Redo and the translation is 7% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский • ‎한국어
Arrow-left.svg Previous: Std Undo.svg Undo
Next: Cut Std Cut.svg Arrow-right.svg

Std Redo.svg Std Redo

Расположение в меню
Правка → Вернуть
Верстаки
All
Быстрые клавиши
Ctrl+Shift+Z
Представлено в версии
-
См. также
Std Undo

Description

Команда Std Redo отменяет действие команды Отменить.

Использование

  1. Кликните на Std Redo.png или выберите в верхнем меню ПравкаStd Redo.png Вернуть.
  1. There are several ways to invoke the command:
    • Press the Std Redo.svg Std Redo button.
    • Select the Edit → Std Redo.svg Redo option from the menu.
    • Use the keyboard shortcut: Ctrl+Y.

Options

  • To redo multiple actions click on the black down arrow to the right of the Std Redo.svg Std Redo button and select from the list.

Preferences

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to false, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To redo an action that has just been undone use the redo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.redo()
Arrow-left.svg Previous: Std Undo.svg Undo
Next: Cut Std Cut.svg Arrow-right.svg